RelayAPI

Full-text search across inbox messages

GET
/v1/inbox/search
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

q*string

Search query

Length1 <= length <= 200
platform?string

Filter by platform

Value in

  • "twitter"
  • "instagram"
  • "facebook"
  • "linkedin"
  • "tiktok"
  • "youtube"
  • "pinterest"
  • "reddit"
  • "bluesky"
  • "threads"
  • "telegram"
  • "snapchat"
  • "googlebusiness"
  • "whatsapp"
  • "mastodon"
  • "discord"
  • "sms"
  • "beehiiv"
  • "convertkit"
  • "mailchimp"
  • "listmonk"
since?string

Start date (ISO 8601)

until?string

End date (ISO 8601)

cursor?string

Pagination cursor

limit?integer

Number of items per page

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/inbox/search?q=string"
{  "data": [    {      "id": "string",      "conversation_id": "string",      "author_name": "string",      "author_avatar_url": "string",      "text": "string",      "direction": "string",      "attachments": null,      "created_at": "string"    }  ],  "next_cursor": "string",  "has_more": true}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo